Get a summary template by ID

GET/fhir2summary/template/{id}

Retrieves a specific summary template

RequiresBearerauthentication

Path parameters

idstringrequired

Template ID

Returns  

Template retrieved successfully

Response fields

successbooleanoptional
templateobjectoptional
idstring (uuid)optional
namestringoptional
descriptionstringoptional
templatestringoptional

Template with {{resource.field}} placeholders

target_resourcesstring[]optional

List of FHIR resource types/profiles

modestringoptional

Template mode (stored value)

metadataobjectoptional
created_atstring (date-time)optional
updated_atstring (date-time)optional
GETRequest
curl 'https://experiment.app.pheno.ml/fhir2summary/template/abc-123-def-456' \
  -H 'Authorization: Bearer YOUR_API_KEY'
200 OKResponse
{
  "success": true,
  "template": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "Example Name",
    "description": "An example description",
    "template": "{{resource.field}}",
    "target_resources": [
      "Patient"
    ],
    "mode": "narrative",
    "metadata": {},
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  }
}